@article{Yi:2013:A-Case-for-Stateful,
	Author = {Cheng Yi and Alexander Afanasyev and Ilya Moiseenko and Lan Wang and Beichuan Zhang and Lixia Zhang},
	Date-Added = {2014-06-18 00:49:12 +0000},
	Date-Modified = {2014-06-18 00:49:14 +0000},
	Journal = {Computer Communications},
	Note = {ISSN 0140-3664},
	Number = {7},
	Pages = {779--791},
	Title = {A Case for Stateful Forwarding Plane},
	Url = {http://dx.doi.org/10.1016/j.comcom.2013.01.005},
	Volume = {36},
	Year = {2013},
	Bdsk-Url-1 = {http://dx.doi.org/10.1016/j.comcom.2013.01.005}}

@inproceedings{Jacobson:2009:NNC:1658939.1658941,
	Acmid = {1658941},
	Address = {New York, NY, USA},
	Author = {Jacobson, Van and Smetters, Diana K. and Thornton, James D. and Plass, Michael F. and Briggs, Nicholas H. and Braynard, Rebecca L.},
	Booktitle = {Proceedings of the 5th International Conference on Emerging Networking Experiments and Technologies},
	Doi = {10.1145/1658939.1658941},
	Isbn = {978-1-60558-636-6},
	Keywords = {content routing, content-based security, content-centric networking},
	Location = {Rome, Italy},
	Numpages = {12},
	Pages = {1--12},
	Publisher = {ACM},
	Series = {CoNEXT '09},
	Title = {Networking Named Content},
	Url = {http://doi.acm.org/10.1145/1658939.1658941},
	Year = {2009},
	Bdsk-Url-1 = {http://doi.acm.org/10.1145/1658939.1658941},
	Bdsk-Url-2 = {http://dx.doi.org/10.1145/1658939.1658941}}

@techreport{CcndStrategy,
	Author = {Junxiao Shi},
	Date-Modified = {2014-06-16 00:08:18 +0000},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/CcndStrategy}},
	Institution = {University of Arizona},
	Title = {ccnd 0.7.2 forwarding strategy}}

@conference{Afanasyev:2013:Interest-Flooding,
	Author = {Alexander Afanasyev and Priya Mahadevan and Ilya Moiseenko and Ersin Uzun and Lixia Zhang},
	Booktitle = {Proc. of IFIP Networking 2013},
	Date-Added = {2014-06-18 20:22:03 +0000},
	Date-Modified = {2014-06-18 20:22:04 +0000},
	Month = {May},
	Title = {Interest Flooding Attack and Countermeasures in {Named Data Networking}},
	Url = {http://networking2013.poly.edu/program-2/},
	Year = {2013},
	Bdsk-Url-1 = {http://networking2013.poly.edu/program-2/}}

@misc{NDNLPv2,
	Author = {{NDN Project Team}},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/NDNLPv2}},
	Title = {{NDNLPv2}}}

@misc{ScopeControl,
	Author = {Junxiao Shi},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/ScopeControl}},
	Title = {Namespace-based Scope Control}}

@misc{boost-asio,
	Author = {Christopher Kohlhoff},
	Date-Added = {2014-06-07 17:31:23 +0000},
	Date-Modified = {2014-06-07 17:31:58 +0000},
	Howpublished = {\url{http://www.boost.org/doc/libs/1_54_0/doc/html/boost_asio.html}},
	Title = {{Boost.Asio}},
	Year = {2003--2013}}

@misc{boost-multi-index,
	Author = {Joaqu{\'i}n M L{\'o}pez Mu{\~n}oz},
	Date-Added = {2014-06-07 17:31:23 +0000},
	Date-Modified = {2014-06-07 17:31:58 +0000},
	Howpublished = {\url{http://www.boost.org/doc/libs/1_54_0/libs/multi_index/doc/index.html}},
	Title = {{B}oost Multi-index Containers Library},
	Year = {2003--2006}}

@misc{boost-property-tree,
	Author = {Marcin Kalicinski},
	Date-Added = {2014-06-07 17:55:40 +0000},
	Date-Modified = {2014-06-07 17:56:17 +0000},
	Howpublished = {\url{http://www.boost.org/doc/libs/1_54_0/doc/html/property_tree.html}},
	Title = {{Boost.PropertyTree}},
	Year = {2008}}

@misc{boost-test,
	Author = {Gennadiy Rozental},
	Date-Added = {2015-05-11 20:40:19 +0000},
	Date-Modified = {2015-05-11 20:41:06 +0000},
	Howpublished = {\url{http://www.boost.org/doc/libs/1_54_0/libs/test/doc/html/index.html}},
	Title = {{B}oost Test Library},
	Year = {2001--2007}}

@misc{cityhash,
	Author = {Google},
	Date-Added = {2014-06-07 17:18:33 +0000},
	Date-Modified = {2014-06-16 00:07:43 +0000},
	Howpublished = {\url{https://github.com/google/cityhash}},
	Title = {The {CityHash} family of hash functions},
	Year = {2013}}

@misc{control-command,
	Author = {{NDN Project Team}},
	Date-Added = {2014-06-19 23:16:58 +0000},
	Date-Modified = {2014-06-19 23:18:05 +0000},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/ControlCommand}},
	Title = {Control Command}}

@book{ndn-cxx-guide,
	Author = {Alexander Afanasyev and Junxiao Shi and Yingdi Yu and Steve DiBenedetto},
	Date-Added = {2015-05-13 00:37:56 +0000},
	Date-Modified = {2015-05-13 01:48:01 +0000},
	Publisher = {NDN Project (named-data.net)},
	Title = {{ndn-cxx: NDN C++} library with e{X}perimental e{X}tensions: Library and Applications Developer's Guide},
	Year = {2015}}

@misc{ndn-tlv,
	Author = {{NDN Project Team}},
	Date-Added = {2014-06-15 23:46:31 +0000},
	Date-Modified = {2014-06-15 23:47:18 +0000},
	Howpublished = {\url{http://named-data.net/doc/ndn-tlv/}},
	Title = {{NDN} {P}acket {F}ormat {S}pecification}}

@misc{ndnRegex,
	Author = {Yingdi Yu},
	Date-Added = {2014-06-10 16:09:35 +0000},
	Date-Modified = {2014-06-16 00:08:26 +0000},
	Howpublished = {\url{https://redmine.named-data.net/projects/ndn-cxx/wiki/Regex}},
	Title = {{NDN} Regular Expression}}

@misc{ndncert,
	Author = {{NDN Project Team}},
	Date-Added = {2014-06-16 00:05:20 +0000},
	Date-Modified = {2014-06-16 00:08:40 +0000},
	Howpublished = {\url{https://github.com/named-data/ndncert}},
	Title = {{NDN-Cert}}}

@misc{nfd-management,
	Author = {{NDN Project Team}},
	Date-Added = {2014-06-15 23:53:46 +0000},
	Date-Modified = {2014-06-16 00:08:37 +0000},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/Management}},
	Title = {{NFD} Management protocol}}

@misc{nfd,
	Author = {{NDN Project Team}},
	Date-Added = {2014-06-15 23:48:10 +0000},
	Date-Modified = {2014-06-15 23:49:11 +0000},
	Howpublished = {\url{http://named-data.net/doc/NFD/current/}},
	Title = {{NFD}: {N}amed {D}ata {N}etworking {F}orwarding {D}aemon}}

@misc{validatorConf,
	Author = {Yingdi Yu},
	Date-Added = {2014-06-10 16:07:49 +0000},
	Date-Modified = {2014-06-15 23:47:29 +0000},
	Howpublished = {\url{https://redmine.named-data.net/projects/ndn-cxx/wiki/CommandValidatorConf}},
	Title = {Validator Configuration File Format}}

@misc{websocket,
	Author = {I. Fette and A. Melnikov},
	Date-Added = {2014-06-20 21:24:58 +0000},
	Date-Modified = {2014-06-20 21:25:36 +0000},
	Howpublished = {RFC 6455 \url{https://tools.ietf.org/html/rfc6455}},
	Month = {December},
	Title = {The {WebSocket} protocol},
	Year = {2011}}

@misc{RibMgmt,
	Author = {{NDN Project Team}},
	Howpublished = {\url{https://redmine.named-data.net/projects/nfd/wiki/RibMgmt}},
	Title = {{RIB} Management}}

@techreport{NamingConventions,
	author = {Yingdi Yu and Alexander Afanasyev and Zhenkai Zhu and Lixia Zhang},
	title = {{NDN} Technical Memo: Naming Conventions},
	institution = {NDN},
	type = {NDN Memo, Technical Report},
	number = {NDN-0023},
	year = {2014},
	month = {Jul},
	comment = {}}

@techreport{NdnRtc,
	author = {Peter Gusev and Jeff Burke},
	title = {{NDN-RTC}: Real-time videoconferencing over {N}amed {D}ata {N}etworking},
	institution = {NDN},
	type = {NDN Technical Report},
	number = {NDN-0033},
	year = {2015},
    month = {Jul},
	comment = {}}

@misc{DesignPrinciples,
	author = {{NDN Project Team}},
	howpublished = {\url{http://named-data.net/project/ndn-design-principles/}},
	title = {{NDN} Protocol Design Principles}}

@techreport{NDNLPv1,
	author = {Junxiao Shi and Beichuan Zhang},
	title = {{NDNLP}: A Link Protocol for {NDN}},
	institution = {NDN},
	type = {NDN Technical Report},
	number = {NDN-0006},
	year = {2012},
	month = {Jul},
	comment = {}}

@techreport{AsfStrategy,
	author={Lehman, Vince and Gawande, Ashlesh and Zhang, Beichuan and Zhang, Lixia and Aldecoa, Rodrigo and Krioukov, Dmitri and Wang, Lan},
	title={An Experimental Investigation of Hyperbolic Routing with a Smart Forwarding Plane in {NDN}},
	institution = {NDN},
	type = {NDN Technical Report},
	number = {NDN-0042},
	year = {2016},
	month = {Jul},
	comment = {}}
}
